import numpy as np
#import matplotlib.pyplot as plt
from x3dna import *
import sys

numargs = len(sys.argv)
if numargs<5:
  print("Combines x3dna analysis files into a numpy array for further processing")
  print("Usage: {} <simname> <bpsfile> <outfile> <dt> <infile1> <?infile2> ... <?infileN>".format(sys.argv[0]))
  exit()

#print(sys.argv)
simname = sys.argv[1]
bpsfile = sys.argv[2]
outfile = sys.argv[3]
dt = sys.argv[4]
files = []
for I in range(5,numargs):
  files.append(sys.argv[I])  

a = readbps(bpsfile)
#print(a)
saveShortNPZ(outfile,files,a,simname,dt)
expt = readShortNPZ(outfile)
print("{}.short.npz was created".format(outfile,outfile))

